## hdbc-sqlite3 0.99.0.0

=== Makefile ===
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

GHCPARMS := -fglasgow-exts

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure --user
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs HDBC-sqlite3.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi" | grep -v debian` \
		`find . -name "*~" | grep -v debian` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/* testtmp*

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package mtl -package HUnit -package MissingH -package HDBC -lsqlite3 ../dist/build/hdbc-sqlite3-helper.o $(GHCPARMS) -o runtests  -i../dist/build:.. runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: hugsbuild
	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

=== debian/changelog ===
hdbc-sqlite3 (0.99.0.0) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Dec 2005 13:27:23 -0600

## hdbc-sqlite3 0.99.0.2build1

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	-rm -rf testtmp/* testtmp*
 
 testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
-	cd testsrc && ghc --make -package mtl -package HUnit -package MissingH -package HDBC -lsqlite3 ../dist/build/hdbc-sqlite3-helper.o $(GHCPARMS) -o runtests  -i../dist/build:.. runtests.hs
+	cd testsrc && ghc --make -package mtl -package HUnit -package HDBC -lsqlite3 ../dist/build/hdbc-sqlite3-helper.o $(GHCPARMS) -I.. -o runtests  -i../dist/build:.. runtests.hs
 
 test-ghc6: testsrc/runtests
 	testsrc/runtests

=== debian/changelog ===
hdbc-sqlite3 (0.99.0.2build1) dapper; urgency=low

  * Rebuild for registered/unregistered change of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue, 11 Apr 2006 23:05:15 +0200

hdbc-sqlite3 (0.99.0.2) unstable; urgency=low

  * Add -I.. when generating runtests.  Closes: #345963.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  4 Jan 2006 10:13:00 -0600

hdbc-sqlite3 (0.99.0.1) unstable; urgency=low

  * Removed -package MissingH from Makefile when building
    testsrc/runtests.  We no longer need it anyway.  Closes: #345540.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  1 Jan 2006 10:47:31 -0600

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.2.7), libghc6-hdbc-dev (>= 0.99.0), libhugs-hdbc (>= 0.99.0)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 0.99.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.2.7)
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 0.99.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

## hdbc-sqlite3 0.99.2.0

=== debian/changelog ===
hdbc-sqlite3 (0.99.2.0) unstable; urgency=low

  * Updated to 0.99.2.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 05:36:18 -0600

hdbc-sqlite3 (0.99.1.0) unstable; urgency=low

  * New 0.99.1.0 release: new memory management system.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 27 Mar 2006 19:17:57 -0600

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.2), libghc6-hdbc-dev (>= 0.99.2), libhugs-hdbc (>= 0.99.2)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 0.99.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.2)
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 0.99.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

## hdbc-sqlite3 1.0.0.0

=== debian/changelog ===
hdbc-sqlite3 (1.0.0.0) unstable; urgency=low

  * Blessing as 1.0.0.0.
  * Rebuild for Debian with GHC 6.4.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 18:56:29 -0500

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.0.0), libhugs-hdbc (>= 1.0.0)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.0.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3)
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.0.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

## hdbc-sqlite3 1.0.1.0

=== debian/changelog ===
hdbc-sqlite3 (1.0.1.0) unstable; urgency=low

  * Rebuild for HDBC 1.0.1.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:27:38 -0500

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.0.1), libhugs-hdbc (>= 1.0.1)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3)
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

## hdbc-sqlite3 1.0.1.3

=== Makefile ===
--- 
+++ 
@@ -42,10 +42,10 @@
 	testsrc/runtests
 
 test-hugs: hugsbuild
-	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs
+	runhugs -98 +o -P$(CURDIR)/dist/build:$(CURDIR)/testsrc: testsrc/runtests.hs
 
 interact-hugs:
-	hugs -98 +o -P$(PWD)/dist/build:
+	hugs -98 +o -P$(CURDIR)/dist/build:
 
 interact-ghci: all
 	ghci -idist/build -Ldist/build $(GHCPARMS)

=== debian/changelog ===
hdbc-sqlite3 (1.0.1.3) unstable; urgency=high

  * Use CURDIR instead of PWD in Makefile.  Closes: #395903.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 Oct 2006 04:57:18 -0600

hdbc-sqlite3 (1.0.1.2) unstable; urgency=medium

  * Added missing build-dep on libghc6-hunit-dev for tests.  Closes: #394573.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 20:17:28 -0500

hdbc-sqlite3 (1.0.1.1) unstable; urgency=low

  * Rebuild for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 22:10:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: hdbc-sqlite3
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.0.1), libhugs-hdbc (>= 1.0.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.0.1.2), libhugs-hdbc (>= 1.0.1), libghc6-mtl-dev, libghc6-hunit-dev
 Standards-Version: 3.6.2
 Section: libs
 
 Package: libghc6-hdbc-sqlite3-dev
 Section: libdevel
 Architecture: any
-Depends: libghc6-hdbc-dev (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3)
+Depends: libghc6-hdbc-dev (>= 1.0.1.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3), libghc6-mtl-dev
 Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
  HDBC provides an abstraction layer between Haskell programs and SQL
  relational databases. This lets you write database code once, in

## hdbc-sqlite3 1.1.2.1

=== debian/changelog ===
hdbc-sqlite3 (1.1.2.1) unstable; urgency=low

  * Update for newer GHC6.  Closes: #427493.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 07:08:23 -0500

hdbc-sqlite3 (1.1.2.0) unstable; urgency=low

  * Rebuild for HDBC 1.1.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:31:15 -0500

hdbc-sqlite3 (1.1.1.0) unstable; urgency=low

  * Update for new HDBC.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:15:36 -0500

hdbc-sqlite3 (1.1.0.0) unstable; urgency=low

  * New API thanks to Peter Thiemann.
  * Added libhugs-hunit to build-deps.  Closes: #419615.
  * Added ability to set behavior on busy.
  * Added error code consts.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 May 2007 06:04:05 -0500

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.1.2.1), libhugs-hdbc (>= 1.1.2), libghc6-mtl-dev, libghc6-hunit-dev, libhugs-hunit
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.2.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3), libghc6-mtl-dev
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

## hdbc-sqlite3 1.1.4.0.0

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	testsrc/runtests
 
 test-hugs: hugsbuild
-	runhugs -98 +o -P$(CURDIR)/dist/build:$(CURDIR)/testsrc: testsrc/runtests.hs
+	runhugs -98 +o -P$(CURDIR)/dist/scratch:$(CURDIR)/testsrc: testsrc/runtests.hs
 
 interact-hugs:
 	hugs -98 +o -P$(CURDIR)/dist/build:

=== debian/changelog ===
hdbc-sqlite3 (1.1.4.0.0) unstable; urgency=low

  * Updated for GHC 6.8

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 09:47:41 -0600

hdbc-sqlite3 (1.1.3.0.0) unstable; urgency=low

  * Updated for new strictness in HDBC 1.1.3
  * Updated Cabal file
  * Leave statements prepared after executing them. 
    (Patch from Toby Allsopp)
  * Efficint binding of ByteString arguments.
    (Path from Toby Allsopp)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 31 Oct 2007 03:04:38 -0500

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.1.4), libhugs-hdbc (>= 1.1.4), libghc6-mtl-dev, libghc6-hunit-dev, libhugs-hunit
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.3.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3), libghc6-mtl-dev
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.3), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-./setup clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_haskell -a
	$(MAKE) clean
	$(MAKE) test

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a README.txt
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hdbc-sqlite3 1.1.4.0.1

=== debian/changelog ===
hdbc-sqlite3 (1.1.4.0.1) unstable; urgency=low

  * Rebuild with newer HDBC.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 26 Jun 2008 09:20:21 -0500

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.1.5), libhugs-hdbc (>= 1.1.5), libghc6-mtl-dev, libghc6-hunit-dev, libhugs-hunit
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.5.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3), libghc6-mtl-dev
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.5), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

## hdbc-sqlite3 1.1.6.0.1

=== debian/changelog ===
hdbc-sqlite3 (1.1.6.0.1) unstable; urgency=high

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 16:22:45 -0600

hdbc-sqlite3 (1.1.6.0.0) unstable; urgency=low

  * GHC 6.10 compatibility patch from Brian Bloniarz.
  * Use dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 09:12:22 -0600

=== debian/control ===
Source: hdbc-sqlite3
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, haddock, hugs (>= 98.200503.08), libsqlite3-dev (>= 3.3), libghc6-hdbc-dev (>= 1.1.6.2), libhugs-hdbc (>= 1.1.6.2), libghc6-mtl-dev, libghc6-hunit-dev, libhugs-hunit
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-sqlite3-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.6.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3), libghc6-mtl-dev
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libhugs-hdbc-sqlite3
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.6), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under Hugs.

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	# Add here commands to install the package into debian/tmp
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	dh_haskell -a
+	dh_haskell_depends -a
 	$(MAKE) clean
 	$(MAKE) test

## hdbc-sqlite3 2.3.1.0

=== debian/changelog ===
hdbc-sqlite3 (2.3.1.0-2build2) precise; urgency=low

  * No change rebuild.

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 16 Dec 2011 14:31:51 +0000

hdbc-sqlite3 (2.3.1.0-2build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 18:10:53 +0000

hdbc-sqlite3 (2.3.1.0-2) unstable; urgency=low

  * Have libghc-hdbc-sqlite3-dev depend on libsqlite3-dev (Closes: #639415)
  * Switch to source format 3.0 (quilt)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 27 Aug 2011 11:07:24 +0200

hdbc-sqlite3 (2.3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #630393) 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 19 Jun 2011 13:36:24 +0200

hdbc-sqlite3 (2.3.0.0-4) unstable; urgency=low

  * [c048b42] Standards-Version → 3.9.2, no changes required
  * [4924a73] Rename libghc6* to libghc*
  * [ed20cd1] Use Haskell substvars, particularly haskell:Provides
  * [5c830a2] Add prof package
  * [96b31bd] Fix -doc BDs

 -- Iain Lane <laney@debian.org>  Mon, 30 May 2011 17:00:32 +0100

hdbc-sqlite3 (2.3.0.0-3) unstable; urgency=low

  * Fix "please update build-depends to match renamed binary package
    libghc6-hdbc-doc" updating -doc packages in Build-Depends to new
    package names.  (Closes: #576098)
  * Use Build-Depends-Indep.
  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:58 -0300

hdbc-sqlite3 (2.3.0.0-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 19:50:45 -0300

hdbc-sqlite3 (2.3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Rebuild with GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 16:40:51 -0600

hdbc-sqlite3 (2.2.0.0-2) unstable; urgency=low

  * Switch to hlibrary.mk (Closes: 555154) 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 18:43:13 +0100

hdbc-sqlite3 (2.2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Switching to Haskell team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 03 Nov 2009 09:34:20 -0600

hdbc-sqlite3 (2.1.0.2-1) unstable; urgency=low

  * Cabal fixes.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 15:33:28 -0500

hdbc-sqlite3 (2.1.0.1-1) unstable; urgency=low

  * New raw connect function.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 15:26:15 -0500

hdbc-sqlite3 (2.1.0.0-2) unstable; urgency=low

  * Rebuild with GHC 6.10.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 11 Mar 2009 15:10:24 -0500

hdbc-sqlite3 (2.1.0.0-1) unstable; urgency=low

  * New release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 04 Feb 2009 14:08:38 -0600

hdbc-sqlite3 (2.0.0.0-1) unstable; urgency=low

  * New upstream release.
  * This source code is compatible with both GHC 6.8.x and GHC 6.10.x.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jan 2009 14:40:51 -0600

=== debian/control ===
Source: hdbc-sqlite3
Priority: extra
Section: haskell
Uploaders: John Goerzen <jgoerzen@complete.org>
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 7),
 ghc (>= 6.12),
 ghc-prof (>= 6.12),
 haskell-devscripts (>= 0.7.3),
 cdbs,
 cpphs,
 haddock,
 hscolour,
 libsqlite3-dev (>= 3.3),
 libghc-hdbc-dev (>= 2.2.6),
 libghc-hdbc-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-hdbc-doc,
 libghc-mtl-doc
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-haskell/hdbc-sqlite3.git
Vcs-Browser: http://git.debian.org/?p=pkg-haskell/hdbc-sqlite3.git;a=summary

Package: libghc-hdbc-sqlite3-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3)
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libghc-hdbc-sqlite3-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsqlite3-dev (>= 3.3)
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Sqlite v3 HDBC Driver for GHC; profiling libraries
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

#Package: libhugs-hdbc-sqlite3
#Section: libs
#Architecture: any
#Depends: libhugs-hdbc (>= 1.1.6), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
#Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for Hugs
# HDBC provides an abstraction layer between Haskell programs and SQL
# relational databases. This lets you write database code once, in
# Haskell, and have it work with any number of backend SQL databases
# (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
# .
# This package provides the Sqlite v3 database driver for HDBC under Hugs.
#
Package: libghc-hdbc-sqlite3-doc
Replaces: haskell-hdbc-sqlite3-doc (<< 2.3.0.0-2)
Conflicts: haskell-hdbc-sqlite3-doc (<< 2.3.0.0-2)
Provides: haskell-hdbc-sqlite3-doc, ${haskell:Provides}
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)

## hdbc-sqlite3 2.3.3.0

=== debian/changelog ===
hdbc-sqlite3 (2.3.3.0-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 May 2013 08:51:14 +0100

hdbc-sqlite3 (2.3.3.0-3) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:43 +0200

hdbc-sqlite3 (2.3.3.0-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Change Vcs headers to Darcs
  * Add watch file

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 17:18:26 +0100

hdbc-sqlite3 (2.3.3.0-1) unstable; urgency=low

  * New upsteram version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Wed, 07 Mar 2012 17:44:45 -0500

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,28 @@
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  ghc (>= 6.12),
  ghc-prof (>= 6.12),
- haskell-devscripts (>= 0.7.3),
+ haskell-devscripts (>= 0.8.13),
  cdbs,
  cpphs,
  haddock,
  hscolour,
- libsqlite3-dev (>= 3.3),
- libghc-hdbc-dev (>= 2.2.6),
- libghc-hdbc-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
-Build-Depends-Indep:
- ghc-doc,
+ libsqlite3-dev (>= 3.3)
+ , libghc-hdbc-dev (>> 2.3.0.0)
+ , libghc-hdbc-prof,
+ , libghc-mtl-dev
+ , libghc-mtl-prof
+ , libghc-utf8-string-dev
+ , libghc-utf8-string-prof
+Build-Depends-Indep: ghc-doc,
  libghc-hdbc-doc,
  libghc-mtl-doc
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-haskell/hdbc-sqlite3.git
-Vcs-Browser: http://git.debian.org/?p=pkg-haskell/hdbc-sqlite3.git;a=summary
+ , libghc-utf8-string-doc
+Standards-Version: 3.9.4
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hdbc-sqlite3
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hdbc-sqlite3
 
 Package: libghc-hdbc-sqlite3-dev
 Architecture: any

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|HDBC-sqlite3-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/HDBC-sqlite3 \
    ([\d\.]*\d)/

## hdbc-sqlite3 2.3.3.1

=== debian/changelog ===
hdbc-sqlite3 (2.3.3.1-4build3) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2017 04:02:49 +0000

hdbc-sqlite3 (2.3.3.1-4build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 13:31:13 +0200

hdbc-sqlite3 (2.3.3.1-4build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 09:07:24 +0100

hdbc-sqlite3 (2.3.3.1-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:18 -0400

hdbc-sqlite3 (2.3.3.1-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 11:57:25 -0400

hdbc-sqlite3 (2.3.3.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

hdbc-sqlite3 (2.3.3.1-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:12 +0200

hdbc-sqlite3 (2.3.3.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:52 +0200

hdbc-sqlite3 (2.3.3.0-4) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:57 +0100

=== debian/control ===
Source: hdbc-sqlite3
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 cpphs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haddock,
 haskell-devscripts (>= 0.13),
 hscolour,
 libghc-hdbc-dev (>> 2.3.0.0),
 libghc-hdbc-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
 libsqlite3-dev (>= 3.3),
Build-Depends-Indep:
 ghc-doc,
 libghc-hdbc-doc,
 libghc-mtl-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/hdbc/hdbc-sqlite3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hdbc-sqlite3
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hdbc-sqlite3-dev
Architecture: any
Depends:
 libsqlite3-dev (>= 3.3),
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libghc-hdbc-sqlite3-prof
Architecture: any
Depends:
 libsqlite3-dev (>= 3.3),
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Sqlite v3 HDBC Driver for GHC; profiling libraries
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the Sqlite v3 database driver for HDBC under GHC.

Package: libghc-hdbc-sqlite3-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 haskell-hdbc-sqlite3-doc (<< 2.3.0.0-2),
Provides:
 haskell-hdbc-sqlite3-doc,
 ${haskell:Provides},
Replaces:
 haskell-hdbc-sqlite3-doc (<< 2.3.0.0-2),
Description: Sqlite v3 HDBC (Haskell Database Connectivity) Documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)

=== debian/watch ===
version=3
http://hackage.haskell.org/package/HDBC-sqlite3/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
